#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include <QtGui/QMainWindow>

#include "escapi.h"

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    QImage getCaptureImage(int device);
    QImage capturedImage;
    QImage distMap;
    struct SimpleCapParams escapiCapture;
    void removeGreenBlue();
    QImage getBestRed(QImage rawImg);
    double GetDistance(double y, double frameHeight, double camFov, double camAngle, double camHeight);
    void populateGrid(double min, double max, QImage& distMap);


private slots:
    void on_pbAnalyzeCapture_clicked();
    void on_pbLoad_clicked();
    void on_pbSave_clicked();
    void on_pbBestRedOnly_clicked();
    void on_pbRedOnly_clicked();
    void on_pbCapture_clicked();
};

#endif // MAINWINDOW_H
